package com.miya.draw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miya.draw.entity.SyncTrade;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jack
 * @since 2021-05-07
 */
public interface SyncTradeMapper extends BaseMapper<SyncTrade> {

    @Select("<script>"
            + "INSERT INTO sync_trade (mch_id,bill_no,trade_id_id, uuid, type, pos_no, phone, member_id, trade_no, store_id, store_name, tran_time, code, name, barcode, price, qty, std_amount, fav_amount ) VALUES "
            + "<foreach item='item' collection='list' separator=',' >"
            + "(#{item.mchId},#{item.billNo},#{item.tradeIdId},#{item.uuid},#{item.type},#{item.posNo},#{item.phone},#{item.memberId},#{item.tradeNo},#{item.storeId},#{item.storeName},#{item.tranTime},#{item.code},#{item.name},#{item.barcode},#{item.price},#{item.qty},#{item.stdAmount},#{item.favAmount})"
            + "</foreach>"
            + " ON DUPLICATE KEY UPDATE "
            + "mch_id =VALUES(mch_id), store_id = VALUES(store_id), tran_time = VALUES(tran_time),code=VALUES(code),barcode=VALUES(barcode),std_amount = VALUES(std_amount),fav_amount = VALUES(fav_amount) "
            + "</script>")
    Integer saveOrUpdateBatchByUniqKey(@Param("list") List<SyncTrade> syncTrades);
}
