package com.miya.draw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miya.draw.entity.Activity;
import com.miya.draw.entity.SyncTrade;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jack
 * @since 2021-05-07
 */
public interface ISyncTradeService extends IService<SyncTrade> {

    /**
     * 获得用户的购买的可用于抽奖的商品额度
     *
     * @param phone        手机号
     * @param start        开始时间
     * @param end          结束时间
     * @param storeIdList  参加活动的门店
     * @param goodCodeList 参加活动的商品
     * @return
     */
    List<SyncTrade> listCanDrawGoods(Long mchId, String phone, LocalDateTime start, LocalDateTime end, List<String> storeIdList, List<String> goodCodeList, Activity activity);

    /**
     * 按唯一键进行批量更新
     *
     * @param syncTrades
     */
    Integer saveOrUpdateBatchByUniqKey(List<SyncTrade> syncTrades);
}
