package com.miya.draw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miya.draw.entity.Activity;
import com.miya.draw.enums.ValidStatusEnum;
import com.miya.draw.mapper.ActivityMapper;
import com.miya.draw.service.IActivityService;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author ：djf
 * @date ：2022-10-25
 * @description：
 */
@Service
public class ActivityServiceImpl extends ServiceImpl<ActivityMapper, Activity> implements IActivityService {


    @Override
    public Activity getById(Long id) {
        LambdaQueryWrapper<Activity> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Activity::getValidStatus, ValidStatusEnum.VALID.getCode());
        wrapper.eq(Activity::getId,id);
        return baseMapper.selectOne(wrapper);
    }

    @Override
    public List<Long> getActivityIdByMchId(Long mchId) {
        LambdaQueryWrapper<Activity> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(Activity::getMchId,mchId);
        List<Activity> list = baseMapper.selectList(wrapper);
        if(CollectionUtils.isEmpty(list)){
            return null;
        }
        return list.stream().map(Activity::getId).collect(Collectors.toList());
    }
}
